Subject: Re: teTeX binaries
From: "Jochen Küpper" <[email-masked]>
To: [email-masked]
Cc: Jerome BENOIT <[email-masked]>
Date: 20 Mar 2001 19:54:38 -0500

>>>>> Jerome BENOIT wrote on Wed, 21 Mar 2001 01:35:39 +0100:

Jerome> Jochen Küpper wrote:
>> 
>> Thank you for providing these!!
>> 
>> I have some problems, though, with latex not finding its format files.
>> 
>> I have
>> /usr/share/texmf -> /cygdrive/c/Program Files/fpTeX/texmf
>> /usr/share/texmf-local -> /cygdrive/c/Program Files/fpTeX/texmf-local
>> /usr/share/texmf-var -> /cygdrive/c/Program Files/fpTeX/texmf-var
>> 
>> The format files are in /cygdrive/c/Program\ Files/fpTeX/texmf-var/web2c.
>> 
>> The formats are searched for in
>> > kpsepath fmt
>> .:c/web2c:\
>> /data/jochen/texmf/web2c:\
>> !!C/web2c:/Program Files/fpTeX/texmf-var/web2c:\
>> !!C/web2c:/Program Files/fpTeX/texmf-local/web2c:\
>> !!C/web2c:/Program Files/fpTeX/texmf/web2c

     ^^^^^^^^
As I see it (without understanding cygwin:() that's where the problem is.

>> > latex test
>> This is TeX, Version 3.14159 (Web2C 7.3.3)
>> I can't find the format file `latex.fmt'!
>> 
>> The problem seems to be the superfluous 'web2c' between drive-letter
>> and correct path in the search-paths.
>> 
>> Any ideas?

Jerome> Have you configure your texmf.cnf ?

The appropriate section is

% The main tree, which must be mentioned in $TEXMF, below:
TEXMFMAIN = $SELFAUTOPARENT/texmf
% A place for local additions to a "standard" texmf tree.  
TEXMFLOCAL = $SELFAUTOPARENT/texmf-local

% User texmf trees can be catered for like this...
HOMETEXMF=$HOME/texmf

% A place where texconfig stores modifications (instead of the TEXMFMAIN
% tree).  texconfig relies on the name, so don't change it.
VARTEXMF = $SELFAUTOPARENT/texmf-var

% Now, list all the texmf trees. If you have multiple trees,
% use shell brace notation, like this:
%   TEXMF = {$HOMETEXMF,!!$VARTEXMF,!!$TEXMFLOCAL,!!$TEXMFMAIN}
% The braces are necessary.
%
% A place where to store other TeX support files. It can be a remote
% texmf tree, or a tree to store non-free stuff, or ...
%   TEXMFEXTRA=$SELFAUTOPARENT/texmf-extra
% If you set this, add $TEXMFEXTRA in the list below
%
TEXMF = {$HOMETEXMF,!!$VARTEXMF,$TEXMFLOCAL,!!$TEXMFMAIN}

% The system trees.  These are the trees that are shared by all the users.
SYSTEXMF = $TEXMF

Jerome> Have you build this format ?
Jerome> For that do:
Jerome> texconfig rehash (or mktexlsr)

Well, as I stated above the ls-R's are up to date.

Jerome> texconfig init

The config file is current either, and it clearly exists.

Greetings,
Jochen
-- 
University of North Carolina                          phone: 919-962-1579
Department of Chemistry                                 fax: 919-843-6041
Venable Hall CB#3290
Chapel Hill, NC 26599, USA

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple